import { getCfg, getAllCfg } from "pi_common_tools/util/db_tool";
import { DropBase, Probability, LuckDrawConfig, ShengMingJinQuBase, ShengMingJinQuAward, ShengMingChoose } from "../cfg_config";

export function getBaseCfg() {
    return getCfg(ShengMingJinQuBase, 1);
}

export function getDropCfg() {
    return getAllCfg(DropBase);
}

export function getProbabilityCfg(): Map<number, Probability>;
export function getProbabilityCfg(key?: number): Probability;
export function getProbabilityCfg(key?: number) {
    return key ? getCfg(Probability, key) : getAllCfg(Probability);
}

export function getLuckDrawCfg(): Map<number, LuckDrawConfig>;
export function getLuckDrawCfg(key?: number): LuckDrawConfig;
export function getLuckDrawCfg(key?: number) {
    return key ? getCfg(LuckDrawConfig, key) : getAllCfg(LuckDrawConfig);
}

export function getRoundCfg(): Map<number, ShengMingJinQuAward>;
export function getRoundCfg(key?: number): ShengMingJinQuAward;
export function getRoundCfg(key?: number) {
    return key ? getCfg(ShengMingJinQuAward, key) : getAllCfg(ShengMingJinQuAward);
}

export function getChooseCfg(): Map<number, ShengMingChoose>;
export function getChooseCfg(key?: number): ShengMingChoose;
export function getChooseCfg(key?: number) {
    return key ? getCfg(ShengMingChoose, key) : getAllCfg(ShengMingChoose);
}
