
import { IEInter } from "./interface";
import { getCurrentRid } from "pi_common_tools/main";
import { Network } from "pi_network/client_net/network";

import { getPrimaryKey } from "../base/base";
import { Lottery, BigChooseRecord } from "game_mj_lottery/server/lottery.struct";

const subSet = new Set();

export const sub = (key: string, cb?: Function) => {
    const primaryKey = getPrimaryKey(key, getCurrentRid());
    if (subSet.has(primaryKey)) return;
    Network.subMore([{
        primaryKey,
        subStruct: Lottery,
        subFn: (o) => {
            cb && cb(o);
        }
    }, {
        primaryKey,
        subStruct: BigChooseRecord,
        subFn: (o) => {
            cb && cb(o);
        }
    }])
}

let _$inject: Map<string, IEInter> = new Map();

export const inject = (inject: IEInter, key: string) => {
    if (_$inject.has(key)) {
        console.warn('inject has init');
        return;
    }
    _$inject.set(key, inject);
}

export const getInject = (key: string) => {
    return _$inject.get(key);
}