#[primary=key,db=logfile,dbMonitor=true]
struct Lottery{
    /** 表主键 活动key + rid */
    key: str,   
    /** 本轮大奖出现的位置 */     
    bigIdx: u32,  
    /** 当前轮次 */
    curRound: u32,  
    /** 累计抽卡次数 */            
    allCount: u32, 
    /** 日抽卡次数 */
    dayCount: u32,
    /** 抽卡记录 */ 
    record: [u32],
    /** 免费次数刷新时间 */
    coolTime: usize,
    /** 每日刷新时间点 */
    dayTime: usize,
    /**免费抽卡剩余次数 */
    freeCount: u32      
}

#[primary=key,db=logfile,dbMonitor=true]
struct BigChooseRecord{
    /** 表主键 活动key + rid */
    key: str,
    /** 当前大奖自选id */
    curBigId: u32,   
    /** 大奖自选次数统计 */
    record: HashMap<u32,u32>
}

// drop内存表
#[primary=key,db=memory]
struct DropDb {
    /** 表主键,drop组ID */
    key: usize,  //drop组ID
    /** 模式信息 */
    dropMode: str,
    /** 模式参数信息 */
    modeArg: u32,
    /** 配置信息 */
    configList: [Json],//配置信息
}

struct arg{
    /** 表主键 活动key*/
    key: str,
    /** 日刷新时间点 */
    refHour: Option<u32>
}

struct drawArg{
    /** 表主键 活动key*/
    key: str,
    /**抽奖次数 */
    times: u32,
    /**抽奖索引 */
    index: Option<u32>,
    /** 日刷新时间点 */
    refHour: Option<u32>
}